Github messages for voidlinux
 help / color / mirror / Atom feed
From: paper42 <paper42@users.noreply.github.com>
To: ml@inbox.vuxu.org
Subject: [PR PATCH] xbps-src: fix detecting subpackage availability
Date: Mon, 20 Jun 2022 01:32:24 +0200	[thread overview]
Message-ID: <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-37617@inbox.vuxu.org> (raw)

[-- Attachment #1: Type: text/plain, Size: 1639 bytes --]

There is a new pull request by paper42 against master on the void-packages repository

https://github.com/paper42/void-packages xbps-src-fix-subpkg-avail
https://github.com/void-linux/void-packages/pull/37617

xbps-src: fix detecting subpackage availability
<!-- Uncomment relevant sections and delete options which are not applicable -->

#### Testing the changes
- I tested the changes in this PR: **briefly**

This is marked as draft because it doesn't work as expected in all cases, for example when a subpackage is added like in cryptsetup:
```sh
if [ "$XBPS_TARGET_LIBC" = musl ]; then
	configure_args+=" --enable-static-cryptsetup"
	subpackages+=" cryptsetup-static"
...
```

```sh
%: ./xbps-src show-avail cryptsetup-static; echo $?
0
```

fixes #37578

<!--
#### New package
- This new package conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements): **YES**|**NO**
-->

<!-- Note: If the build is likely to take more than 2 hours, please add ci skip tag as described in
https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration
and test at least one native build and, if supported, at least one cross build.
Ignore this section if this PR is not skipping CI.
-->
<!--
#### Local build testing
- I built this PR locally for my native architecture, (ARCH-LIBC)
- I built this PR locally for these architectures (if supported. mark crossbuilds):
  - aarch64-musl
  - armv7l
  - armv6l-musl
-->


A patch file from https://github.com/void-linux/void-packages/pull/37617.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-xbps-src-fix-subpkg-avail-37617.patch --]
[-- Type: text/x-diff, Size: 1413 bytes --]

From f7f8cf709198a5c9b8d3287bc427b3969ca1cdae Mon Sep 17 00:00:00 2001
From: Michal Vasilek <michal@vasilek.cz>
Date: Mon, 20 Jun 2022 01:27:05 +0200
Subject: [PATCH] xbps-src: fix detecting subpackage availability

---
 common/xbps-src/shutils/pkgtarget.sh | 21 ++++++++++++++-------
 1 file changed, 14 insertions(+), 7 deletions(-)

diff --git a/common/xbps-src/shutils/pkgtarget.sh b/common/xbps-src/shutils/pkgtarget.sh
index ba8c63bca8aa..df7e4828b623 100644
--- a/common/xbps-src/shutils/pkgtarget.sh
+++ b/common/xbps-src/shutils/pkgtarget.sh
@@ -16,14 +16,21 @@ check_existing_pkg() {
 check_pkg_arch() {
     local cross="$1" _arch f match nonegation
 
-    if [ -n "$archs" ]; then
-        if [ -n "$cross" ]; then
-            _arch="$XBPS_TARGET_MACHINE"
-        elif [ -n "$XBPS_ARCH" ]; then
-            _arch="$XBPS_ARCH"
-        else
-            _arch="$XBPS_MACHINE"
+    if [ -n "$cross" ]; then
+        _arch="$XBPS_TARGET_MACHINE"
+    elif [ -n "$XBPS_ARCH" ]; then
+        _arch="$XBPS_ARCH"
+    else
+        _arch="$XBPS_MACHINE"
+    fi
+
+    if [ "$pkgname" != "$sourcepkg" ]; then
+        if ! echo "$subpackages" | grep -q -w "$pkgname"; then
+            report_broken "${pkgname}-${version}_${revision}: this subpackage cannot be built for ${_arch}.\n"
         fi
+    fi
+
+    if [ -n "$archs" ]; then
         set -f
         for f in ${archs}; do
             set +f

             reply	other threads:[~2022-06-19 23:32 UTC|newest]

Thread overview: 2+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-06-19 23:32 paper42 [this message]
2022-09-18  2:15 ` github-actions

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-37617@inbox.vuxu.org \
    --to=paper42@users.noreply.github.com \
    --cc=ml@inbox.vuxu.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).